%define upstream_name    XML-LibXML-Simple
%define upstream_version 1.01

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    XML::LibXML clone of XML::Simple::XMLin()
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More) >= 0.540.0
BuildRequires: perl(XML::LibXML) >= 1.640.0
BuildArch:  noarch

%description
This module is a blunt rewrite of XML::Simple (by Grant McLean) to use the
XML::LibXML parser for XML structures, where the original uses plain Perl
or SAX parsers.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc ChangeLog META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Feb 19 2020 umeabot <umeabot> 1.10.0-2.mga8
+ Revision: 1543171
- Mageia 8 Mass Rebuild

* Fri Jan 17 2020 tv <tv> 1.10.0-1.mga8
+ Revision: 1481170
- update to 1.01
+ wally <wally>
- replace deprecated %%makeinstall_std

* Sat Oct 20 2018 tv <tv> 0.990.0-1.mga7
+ Revision: 1322803
- update to 0.99

* Wed Sep 19 2018 umeabot <umeabot> 0.970.0-3.mga7
+ Revision: 1272769
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.970.0-2.mga6
+ Revision: 1036027
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 0.970.0-1.mga6
+ Revision: 1002336
- update to 0.97

* Thu Feb 18 2016 umeabot <umeabot> 0.950.0-2.mga6
+ Revision: 965854
- Mageia 6 Mass Rebuild

* Mon Jun 22 2015 sander85 <sander85> 0.950.0-1.mga6
+ Revision: 838613
- update to 0.95

* Mon Dec 22 2014 buchan <buchan> 0.940.0-1.mga5
+ Revision: 804788
- imported package perl-XML-LibXML-Simple


* Mon Dec 22 2014 Buchan Milne <buchan> 0.94-1mga
- initial mageia release, generated with cpan2dist
